package com.blamejared.compat.chisel;

package .tmp;

import com.blamejared.compat.chisel.Carving;
import com.blamejared.mtlib.utils.BaseAction;
import net.minecraft.item.ItemStack;
import team.chisel.api.carving.CarvingUtils;

class ActionAddVariation extends BaseAction {
  private String groupName;
  
  private ItemStack stack;
  
  protected ActionAddVariation(String groupName, ItemStack stack) {
    super("Variation");
    this.groupName = groupName;
    this.stack = stack;
  }
  
  public void apply() {
    CarvingUtils.getChiselRegistry().addVariation(this.groupName, CarvingUtils.variationFor(this.stack, 0));
  }
  
  public String describe() {
    return "Adding chisel variation for group: " + this.groupName + " and item: " + this.stack;
  }
}
